[PCBSD] Problem using portupgrade with Cmake and some KDE Packages

Installing and maintaining the FreeBSD Ports Collection or FreeBSD Packages (i.e. third party software).

[PCBSD] Problem using portupgrade with Cmake and some KDE Packages

Postby randy » 24 Feb 2010, 21:15

Hey guys, I'm completely new to FreeBSD, and in another forum I was looking at posts in, one user said that someone that can't fix problems like this while running FreeBSD has no business running it...Anyway, the problem I'm having is that I can't get Cmake to upgrade using portupgrade, and it's causing portupgrade to fail the upgrading of other KDE packages. Here's the errors I'm encountering:

Code: Select all
===>    Verifying install for /usr/local/bin/cmake in /usr/ports/devel/cmake   
===>  Extracting for cmake-2.8.0_3                                             
=> MD5 Checksum mismatch for cmake-2.8.0.tar.gz.                               
=> No SHA256 checksum recorded for cmake-2.8.0.tar.gz.                         
===>  Refetch for 1 more times files: cmake-2.8.0.tar.gz                       
=> cmake-2.8.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.           
=> Attempting to fetch from [url]http://www.cmake.org/files/v2.8/[/url].                   
fetch: [url]http://www.cmake.org/files/v2.8/cmake-2.8.0.tar.gz:[/url] Requested Range Not Satisfiable
=> Attempting to fetch from [url]ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/[/url].
=> MD5 Checksum mismatch for cmake-2.8.0.tar.gz.                               
=> No SHA256 checksum recorded for cmake-2.8.0.tar.gz.                         
===>  Giving up on fetching files: cmake-2.8.0.tar.gz                           
Make sure the Makefile and distinfo file (/usr/ports/devel/cmake/distinfo)     
are up to date.  If you are absolutely sure you want to override this           
check, type "make NO_CHECKSUM=yes [other args]".                               
*** Error code 1                                                               

Stop in /usr/ports/devel/cmake.
*** Error code 1               

Stop in /usr/ports/devel/cmake.
*** Error code 1               

Stop in /usr/ports/net-p2p/ktorrent.
*** Error code 1                   

Stop in /usr/ports/net-p2p/ktorrent.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20100224-69964-1v8rz5g-0 env UPGRADE_TOOL=portupgrade
UPGRADE_PORT=ktorrent-3.3.3_1 UPGRADE_PORT_VER=3.3.3_1 make
** Fix the problem and try again.                                               
--->  Upgrading 'kde4-windeco-nitrogen-3.2.8_1' to 'kde4-windeco-nitrogen-3.3.0' (x11-themes/kde4-windeco-nitrogen)
--->  Building '/usr/ports/x11-themes/kde4-windeco-nitrogen'                   
===>  Cleaning for kde4-windeco-nitrogen-3.3.0                                 
===>  Extracting for kde4-windeco-nitrogen-3.3.0                               
=> MD5 Checksum OK for 99551-kde4-windeco-nitrogen-3.3.0-Source.tar.gz.         
=> SHA256 Checksum OK for 99551-kde4-windeco-nitrogen-3.3.0-Source.tar.gz.     
===>  Patching for kde4-windeco-nitrogen-3.3.0                                 
===>   kde4-windeco-nitrogen-3.3.0 depends on file: /usr/local/lib/qt4/libQtCore.so - found
===>   kde4-windeco-nitrogen-3.3.0 depends on file: /usr/local/bin/moc-qt4 - found
===>   kde4-windeco-nitrogen-3.3.0 depends on file: /usr/local/bin/qmake-qt4 - found
===>   kde4-windeco-nitrogen-3.3.0 depends on file: /usr/local/bin/rcc - found 
===>   kde4-windeco-nitrogen-3.3.0 depends on file: /usr/local/bin/uic-qt4 - found
===>   kde4-windeco-nitrogen-3.3.0 depends on file: /usr/local/bin/automoc4 - found
===>   kde4-windeco-nitrogen-3.3.0 depends on file: /usr/local/bin/cmake - not found
===>    Verifying install for /usr/local/bin/cmake in /usr/ports/devel/cmake   
===>  Extracting for cmake-2.8.0_3                                             
=> MD5 Checksum mismatch for cmake-2.8.0.tar.gz.                               
=> No SHA256 checksum recorded for cmake-2.8.0.tar.gz.                         
===>  Refetch for 1 more times files: cmake-2.8.0.tar.gz                       
=> cmake-2.8.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.           
=> Attempting to fetch from [url]http://www.cmake.org/files/v2.8/[/url].                   
fetch: [url]http://www.cmake.org/files/v2.8/cmake-2.8.0.tar.gz:[/url] Requested Range Not Satisfiable
=> Attempting to fetch from [url]ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/[/url].
=> MD5 Checksum mismatch for cmake-2.8.0.tar.gz.                               
=> No SHA256 checksum recorded for cmake-2.8.0.tar.gz.                         
===>  Giving up on fetching files: cmake-2.8.0.tar.gz                           
Make sure the Makefile and distinfo file (/usr/ports/devel/cmake/distinfo)
are up to date.  If you are absolutely sure you want to override this
check, type "make NO_CHECKSUM=yes [other args]".
*** Error code 1                                                               

Stop in /usr/ports/devel/cmake.
*** Error code 1               

Stop in /usr/ports/devel/cmake.
*** Error code 1               

Stop in /usr/ports/x11-themes/kde4-windeco-nitrogen.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20100224-69964-tajef8-0 env
UPGRADE_TOOL=portupgrade UPGRADE_PORT=kde4-windeco-nitrogen-3.2.8_1 UPGRADE_PORT_VER=3.2.8_1 make
** Fix the problem and try again.                                               
--->  Upgrading 'kde4-style-qtcurve-0.69.2_1' to 'kde4-style-qtcurve-1.0.2' (x11-themes/qtcurve-kde4)
--->  Building '/usr/ports/x11-themes/qtcurve-kde4'                             
===>  Cleaning for kde4-style-qtcurve-1.0.2                                     
===>  Extracting for kde4-style-qtcurve-1.0.2                                   
=> MD5 Checksum OK for QtCurve-KDE4-1.0.2.tar.bz2.                             
=> SHA256 Checksum OK for QtCurve-KDE4-1.0.2.tar.bz2.                           
===>  Patching for kde4-style-qtcurve-1.0.2                                     
===>   kde4-style-qtcurve-1.0.2 depends on file: /usr/local/lib/qt4/libQtCore.so - found
===>   kde4-style-qtcurve-1.0.2 depends on file: /usr/local/bin/moc-qt4 - found
===>   kde4-style-qtcurve-1.0.2 depends on file: /usr/local/bin/qmake-qt4 - found
===>   kde4-style-qtcurve-1.0.2 depends on file: /usr/local/bin/rcc - found     
===>   kde4-style-qtcurve-1.0.2 depends on file: /usr/local/bin/uic-qt4 - found
===>   kde4-style-qtcurve-1.0.2 depends on file: /usr/local/bin/automoc4 - found
===>   kde4-style-qtcurve-1.0.2 depends on file: /usr/local/bin/cmake - not found
===>    Verifying install for /usr/local/bin/cmake in /usr/ports/devel/cmake   
===>  Extracting for cmake-2.8.0_3                                             
=> MD5 Checksum mismatch for cmake-2.8.0.tar.gz.                               
=> No SHA256 checksum recorded for cmake-2.8.0.tar.gz.                         
===>  Refetch for 1 more times files: cmake-2.8.0.tar.gz                       
=> cmake-2.8.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.           
=> Attempting to fetch from [url]http://www.cmake.org/files/v2.8/[/url].                   
fetch: [url]http://www.cmake.org/files/v2.8/cmake-2.8.0.tar.gz:[/url] Requested Range Not Satisfiable
=> Attempting to fetch from [url]ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/[/url].
=> MD5 Checksum mismatch for cmake-2.8.0.tar.gz.
=> No SHA256 checksum recorded for cmake-2.8.0.tar.gz.
===>  Giving up on fetching files: cmake-2.8.0.tar.gz
Make sure the Makefile and distinfo file (/usr/ports/devel/cmake/distinfo)
are up to date.  If you are absolutely sure you want to override this
check, type "make NO_CHECKSUM=yes [other args]".
*** Error code 1

Stop in /usr/ports/devel/cmake.
*** Error code 1

Stop in /usr/ports/devel/cmake.
*** Error code 1

Stop in /usr/ports/x11-themes/qtcurve-kde4.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20100224-69964-9y2loc-0
env UPGRADE_TOOL=portupgrade UPGRADE_PORT=kde4-style-qtcurve-0.69.2_1 UPGRADE_PORT_VER=0.69.2_1 make
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! devel/subversion (subversion-1.6.6_1) (unknown build error)
        ! net-p2p/ktorrent (ktorrent-3.3.3_1)   (checksum mismatch)
        ! x11-themes/kde4-windeco-nitrogen (kde4-windeco-nitrogen-3.2.8_1)     (checksum mismatch)
        ! x11-themes/qtcurve-kde4 (kde4-style-qtcurve-0.69.2_1) (checksum mismatch)


Does anyone know what's causing this, or how I can fix it? I'm running PC-BSD 8 (FreeBSD version 8.0-RELEASE-P2). Thanks :D
randy
Junior Member
 
Posts: 2
Joined: 24 Feb 2010, 20:49

Postby DutchDaemon » 24 Feb 2010, 22:14

Sticky: Posting and Editing in the FreeBSD Forums - I don't know what you're using for cut & paste, but it took ten minutes to clear out the excessive whitespace. And use proper formatting tags.

Sticky: Topics about PC-BSD / FreeNAS / DesktopBSD / m0N0WALL / pfSense
User avatar
DutchDaemon
Old Fart
 
Posts: 10466
Joined: 16 Nov 2008, 20:17
Location: The Netherlands

Postby fbsd1 » 28 Feb 2010, 04:14

Looks like you have to refresh your ports tree.
FreeBSD Install Guide www.a1poweruser.com
fbsd1
Member
 
Posts: 213
Joined: 26 Feb 2010, 09:43
Location: Angeles City, Philippines

Postby randy » 01 Mar 2010, 05:42

I forgot I was even subscribed to this :p...anyway, I ended up solving the problem: I just installed cmake through pkg_add, and everything worked fine :D.
randy
Junior Member
 
Posts: 2
Joined: 24 Feb 2010, 20:49


Return to Installation and Maintenance of FreeBSD Ports or Packages

Who is online

Users browsing this forum: No registered users and 4 guests